[toc]

# 概述

这里面涉及三个模型建设,  GIS（地理信息系统）+BIM（建筑信息模型）+IOT（物联网设备模型）+N（N个应用场景）+1张图(综合云图)



物联网设备对象模型, GIS地理设施模型， BIM建筑信息模型  。 GIS地理设施模型是点，线，面地理标记结构， BIM 是建筑三维信息结构， 物联网设备是对象结构。 如果我们能够设计抽象及管理约束的好，平台所有项目的物联设备信息，地理设施信息，建筑三维信息 录入分别让三个模型表（库）统一管理，平台项目逐渐增多情况，录入到三个模型数据利用价值越大, 政府需求我们数据时候,也是我们楼宇信息服务商真正价值体现！



# 需求分析

## GIS地理设施管理

### 地理设施类型维护

​    1.类型名称  2.确定地理模型：点，线，面，允许多选   3.扩展属性维护，不同类型属性不同（根据类型定义哪些扩展属性，不同属性定义不同控件，必选，非必选）  

### 地理设施采集

1.常规属性：地理设施编号，地理设施名称，设施采集时间， 设施状态，（设施归属租户），设施地址， 设施地图经纬信息（点，线，面）

- 设施查看

​            对于选择不同类型，展现出不同的设施扩展属性

- 地址设施地图

   1.在地图上默认显示所有标记设施点，按照设施类型选择，定位

   2.点击某一个设施，能够查看到设施绑定设备最新的指标数据以及设备状态

   - 设施设备绑定

   一个设施可以绑定维护多个设备

   ![image-20220423132955716](/Users/admin/Library/Application Support/typora-user-images/image-20220423132955716.png)





```mermaid
graph LR
n3[地理设施信息表]
n1[建筑信息表]
n2[建筑设施表]
n4[设备信息表]

n3 --1..1--> n1
n1 --1..N--> n2
n2 --N..1--> n4
n3 --1..N--> n4

```



## BIM建筑信息管理

### 介绍

提供建筑信息维护，三维模型设施模型采集管理

### 建筑信息管理

  相关属性：建筑编号，建筑名称，详细地址，三维模型地址，地上楼层，建筑面积，地下楼层，耐火等级，建筑性质，安全责任人，建设日期，经纬度

### 建筑设施采集

通过建筑信息动态采集建筑xyz坐标，确定设施模型类型

![image-20220922163116656](/Users/admin/Library/Application Support/typora-user-images/image-20220922163116656.png)

### 建筑信息视图查看

![image-20220922115422442](/Users/admin/Library/Application Support/typora-user-images/image-20220922115422442.png)





  







## IOT设备信息管理

```mermaid
graph LR
n3[设备类型表]
n1[设备属性表]
n2[设备产品表]
n4[设备信息表]

n3 --1..N--> n1
n3 --1..N--> n2
n3 --1..N--> n4

```



### 设备信息管理

​		相关属性：设备编号，设备类型，产品ID，设备名称，联网卡号，      安装位置，所属单位，通信方式，

### 设备类型管理

  字段：类型名称，系统类型 ，租户ID

### 设备产品管理

  产品名称，厂家名称，设备型号，认知资质，协议文档；

### 设备属性管理

| DP ID | 功能点名称 | 标识符              | 顺序编号 | 属性编码 | 数据传输类型 | 数据类型 | 单位标识 | 功能点属性                      | 设备类型ID | 设备产品ID |
| :---- | :--------- | :------------------ | -------- | -------- | :----------- | :------- | -------- | :------------------------------ | ---------- | ---------- |
| 1     | 水流量     | water_flow          |          | 1        | 只上报（ro） | value    |          | 取值范围: 0~999999999, 单位：m3 |            |            |
| 2     | 月总用水量 | monthly_water_total | 2        | 2        | 只上报（ro） | value    |          | 取值范围: 0~999999999, 单位：m3 |            |            |
| 3     | 日总用水量 | daily_water_total   | 3        |          | 只上报（ro） | value    |          | 取值范围: 0~999999999, 单位：m3 |            |            |



# 需求设计





一. 自立根生（资源）

​      1.1 外地，组织方式(匹配项目资源)；

​      1.2 研发，摄像头（产品经理）；

​      1.3 需求确认公函

​       1.4 顾问：资源很重要，  采购，自研发；

二.产品（toB)；

​    1.3 c



| 专家服务     |
| ------------ |
| 政策申报     |
| 产业供需平台 |
| 金融服务     |
| 科技服务平台 |



​     @所有人  各位这是今天核对情况。当前明珠自研部分核对完毕共计367项；友商内容需要商务配合暂时无法确认 共计263项；对于昨天状态“否”的部分进行二次复核 变更1项；



例如： 小明参与**项目，作为项目组长







永天云专注于IOT物联网设备模型+BIM建筑信息模型+GIS地理信息模型+N个应用场景的核心技术。 2023年5月17-19日永天科技在上海世博展览馆1号馆E10展位，欢迎各工程服务商，厂商，技术伙伴洽谈合作！
