## 永天SAAS平台开发流程
### 项目依赖管理
#### 开发流程
* 拉取父项目 usky-cloud-parent

* 项目地址(http://47.111.81.118:3000/uskycloud/usky-cloud-parent.git)

* 执行打包操作mvn clean

#### 备注
* 所有的依赖由一个父模块来管理,只负责进行项目版本依赖的管理
* 方便开发人员了解平台所有的技术和技术的版本
* 更好的解决依赖冲突
* 以后有新的组件可以在这个里面做一些扩展的延伸
### 项目基础工具
#### 开发流程
* 拉取项目usky-modules

* 项目地址(http://47.111.81.118:3000/uskycloud/usky-modules.git)

* 执行打包操作mvn clean
#### 主要功能
* 为开发人员进行了一些基础工具类的整合
* 使开发项目更高效
#### 核心架构
* usky-common-core
* usky_common-spring
* usky-common-mvn
#### 备注
* 默认每个项目都会整合common依赖
* 发现比较好的工具类可以往对应的模块里面进行整合
* 功能职责要清晰,每个模块只负责自己需要整合的大分类

### 永天服务模块
####  项目架构
* usky-modules(总父模块-对项目进行统一构建和管理)
  * 业务父模块(对下属的api和biz进行统一管理)
    * 模块名-biz(业务模块)
      * controller
      * service
      * domain
      * mapper
    * 模块名-api(api模块,提供服务间的调用依赖)
      * domain
      * factory
      * vo
#### 项目准备
* 拉取项目
  * 项目地址(http://47.111.81.118:3000/uskycloud/usky-modules.git)
  * 打包项目 mvn clean
* 生成脚手架
  * cd usky-module-demo
  * mvn archetype:create-from-project
  * cd target/generated-sources/archetype/
  * mvn install
* 生成项目
  * cd usky-module
  * mvn archetype:generate -DarchetypeCatalog=local
  * 选择刚才生成的脚手架(usky-module-demo)
  * 强制规范
    * groupId填写com.usky
    * artifactId填写自己需要的'模块名'
    * packpage填写com.usky.'模块名'
* 修改自动生成代码配置
  * 修改rescources下的mapper.demo,把demo修改成自己的'模块名'
  * 找到启动类修改注解@MapperScan(value = "com.usky.demo.mapper")，把其中的'demo'改成自己的'模块名'
  * 找到MybatisGeneratorUtils
  
    * ![img_1.png](img_1.png)修改对应的数据源
    * ![img.png](img.png)把标红的改成上面第一步的'模块名'
